<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['code'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
        [mbErrors]="form.controls['code'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.code'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.code'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.code' | translate
        }} <span class='label__required'>*</span>"
        formControlName="code"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['name'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
        [mbErrors]="form.controls['name'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.name'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.name'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.name' | translate
        }} <span class='label__required'>*</span>"
        formControlName="name"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="dataTypesOptions"
        (ngModelChange)="onDataTypeChange($event)"
        [mbType]="
          isSubmitted && form.controls['dataType'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['dataType'].errors !== null"
        [mbErrors]="form.controls['dataType'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.dataType'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.filterCriteria.label.dataType'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.dataType' | translate
        }} <span class='label__required'>*</span>"
        formControlName="dataType"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="sourceDataTypesOptions"
        [mbType]="
          isSubmitted && form.controls['dataSourceType'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['dataSourceType'].errors !== null
        "
        [mbErrors]="form.controls['dataSourceType'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.dataSourceType'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.filterCriteria.label.dataSourceType'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.dataSourceType' | translate
        }} {{ isDataTypeList ? labelRequired : '' }}"
        formControlName="dataSourceType"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbIsTextAreInputSpecial]="true"
        [mbType]="
          isSubmitted && form.controls['dataSource'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['dataSource'].errors !== null
        "
        [mbErrors]="form.controls['dataSource'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.dataSource'
          }
        ]"
        formControlName="dataSource"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.dataSource'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.dataSource' | translate
        }} {{ isDataTypeList ? labelRequired : '' }}"
      >
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['dataIdField'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['dataIdField'].errors !== null
        "
        [mbErrors]="form.controls['dataIdField'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.dataIdField'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.dataIdField'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.dataIdField' | translate
        }} {{ isDataTypeList ? labelRequired : '' }}"
        formControlName="dataIdField"
      ></mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['dataNameField'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['dataNameField'].errors !== null
        "
        [mbErrors]="form.controls['dataNameField'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.filterCriteria.label.dataNameField'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.dataNameField'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.dataNameField' | translate
        }} {{ isDataTypeList ? labelRequired : '' }}"
        formControlName="dataNameField"
      ></mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbType]="
          isSubmitted && form.controls['description'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['description'].errors !== null
        "
        [mbErrors]="form.controls['description'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          }
        ]"
        formControlName="description"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.filterCriteria.label.description'
        }}"
        mbLabelText="{{
          'insurance.filterCriteria.label.description' | translate
        }}"
      >
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>
  </div>
</form>
